package beans;

import java.time.LocalDateTime;

public class PrzykladowyBean {
	private String napis = "Ala ma kota";

	// Klasa pełniąca rolę beana musi mieć konstruktor bezargumentowy.
	// Uwaga: jeśli nie stworzymy żadnego konstruktora, to jest generowany automatycznie konstruktor domyślny.

	public String getNapis() {
		return napis;
	}

	public void setNapis(String napis) {
		this.napis = napis;
	}
	
	// Przykład metody, któr "wygląda jak getter", a może być łatwo wywoływana w JSP itp. miejscach,
	// jako "read-only property".
	public LocalDateTime getCurrentTime() {
		return LocalDateTime.now();
	}
	
	@Override
	public String toString() {
		return "PrzykladowyBean, napis = " + napis;
	}

}
